<template>
    <div class="home-card">
        <div class="card-header">
            <div class="title">
                库房设备
            </div>
        </div>
        <div class="card-content">
            <div class="item" v-for="(item, index) in devices" :key="index">
                <img class="image" :src="getImage(item.icon)" />
                <div>
                    <span v-if="item.status === 1" class="status1">正常</span>
                    <span v-else class="status0">告警<warning-filled />
                        <img class="warning" :src="getImage('/home/warning.png')" />
                    </span>
                    <div class="name">{{ item.name }}</div>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts" name="StoreDevices">
import { getImage } from '@/utils/comm';
const devices = ref<any>([]);

const getDevices = async () => {
    // const res: any = await queryStoreDevices();
    // if (res.success) {
    //     devices.value = res.result;
    // }

    devices.value = [
        { icon: '/home/h-05.png', name: "精密空调1", status: 1 },
        { icon: '/home/h-05.png', name: "精密空调2", status: 1 },
        { icon: '/home/h-05.png', name: "精密空调3", status: 1 },
        { icon: '/home/h-06.png', name: "恒湿机1", status: 1 },
        { icon: '/home/h-06.png', name: "恒湿机2", status: 1 },
        { icon: '/home/h-06.png', name: "恒湿机3", status: 1 },
        { icon: '/home/h-05.png', name: "精密空调4", status: 1 },
        { icon: '/home/h-05.png', name: "精密空调5", status: 0 },
        { icon: '/home/h-05.png', name: "精密空调6", status: 1 },
        { icon: '/home/h-07.png', name: "新风机1", status: 0 },
        { icon: '/home/h-07.png', name: "新风机2", status: 1 },
        { icon: '/home/h-07.png', name: "新风机3", status: 1 },
    ];
};

getDevices();

</script>

<style lang="less" scoped>
.home-card {
    margin-top: 16px;

    .card-content {
        display: flex;
        flex-wrap: wrap;
        padding: 16px;

        .item {
            width: 33.33%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 10px 0 10px 5px;

            &:nth-child(2n+1) {
                background-color: #F8FAFE;
            }

            &>div {
                margin-left: 8px;
                width: 80px;
            }
            .image {
                width: 32px;
                height: 32px;
            }
            .status0 {
                font-size: 16px;
                font-family: PingFang SC-Bold, PingFang SC;
                font-weight: bold;
                color: #FA3E2E;
                line-height: 22px;
                display: flex;
                align-items: center;
                
                .warning {
                    width: 16px;
                    height: 16px;
                    margin-left: 5px;
                }
            }

            .status1 {
                font-size: 14px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #333333;
                line-height: 22px;
            }

            .name {
                font-size: 12px;
                font-family: PingFang SC-Regular, PingFang SC;
                font-weight: 400;
                color: #828282;
            }
        }
    }
}
</style>
